Package org.eclipse.mat.hprof

# Class ExportHprof

java.lang.Object
org.eclipse.mat.hprof.ExportHprof

All Implemented Interfaces:
  `IQuery`

public class ExportHprof extends Object implements IQuery

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ExportHprof.RedactType`
`static class`
`ExportHprof.Remap`
Remaps class names.

## Field Summary

Fields
Modifier and Type
Field
Description
`Pattern`
`avoidPattern`
`boolean`
`chunked`
`boolean`
`classesAsInstances`
Dump class fields as a instance dump
`boolean`
`compress`
`File`
`mapFile`
`IHeapObjectArgument`
`objects`
`File`
`output`
`ExportHprof.RedactType`
`redact`
`long`
`segsize`
`Pattern`
`skipPattern`
`ISnapshot`
`snapshot`
`boolean`
`undo`

## Constructor Summary

Constructors
Constructor
Description
`ExportHprof()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dumpThreadRoots(DataOutput os, IClass cls)`
`IResult`
`execute(IProgressListener listener)`
The execute method is called after all arguments have been injected into the query instance.
`int`
`findID(int id, int[][] objid)`
Find the stack frame in which an object is referenced.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### snapshot

public ISnapshot snapshot

### output

public File output

### compress

public boolean compress

### chunked

public boolean chunked

### redact

public ExportHprof.RedactType redact

### mapFile

public File mapFile

### skipPattern

public Pattern skipPattern

### avoidPattern

public Pattern avoidPattern

### undo

public boolean undo

### objects

public IHeapObjectArgument objects

### classesAsInstances

public boolean classesAsInstances
Dump class fields as a instance dump

### segsize

public long segsize

## Constructor Details

### ExportHprof

public ExportHprof()

## Method Details

### execute

public IResult execute(IProgressListener listener) throws Exception
Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query

### findID

public int findID(int id, int[][] objid)
Find the stack frame in which an object is referenced. Remove it from the list.

Parameters:
  `id` - the object ID
  `objid` - an array of frames and their object ids
Returns:
  the frame number (0-based)

### dumpThreadRoots

public void dumpThreadRoots(DataOutput os, IClass cls) throws SnapshotException, IOException

Throws:
  `SnapshotException`
  `IOException`